FROM centos:7
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

# EPEL for PIP
RUN yum -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm && \
      yum --enablerepo=epel -y install python-pip && \
      yum clean all && \
      pip install --no-cache-dir odoorpc==0.8.0

# Useradd
RUN useradd odoo -m -s /bin/bash
USER odoo
COPY *.py /home/odoo/
WORKDIR /home/odoo

CMD ["/bin/true"]
